<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        <small>مدیریت</small>
       پروفایل من
    </h1>

    <ol class="breadcrumb">
        <li><a href="home.php"><i class="fa fa-dashboard"></i> خانه</a></li>
        <li class="active">پروفایل من</li>
    </ol>
</section>

<script  id="cropModal.html" type="text/ng-template">
    <div class="modal-header">
        <h3 class="modal-title">حاشیه برداری تصویر</h3>
    </div>
    <div class="modal-body">
        <div class="cropArea" style="height:350px;">
            <img-crop image="myImage"
                      result-image="croppedImage"
                      area-type="circle"
                      area-min-size="100"
                      area-max-size="101"
                      result-image-format="image/png"
                      result-image-size="250"
                      result-image-quality="1"
                      on-change="resultChanged()"></img-crop>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-success btn-flat pull-left" ng-click="changeAvatar()">تایید و تغییر تصویر پروفایل</button>
        <button class="btn btn-warning btn-flat pull-right" ng-click="cancel()">بازگشت</button>
    </div>
</script>

<section class="row">
    <div class="col-xs-12">
        <div class="col-md-9 col-xs-12">
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="link" ng-class="(activeTab == 2)?'active':''">
                        <a ng-click="getTab(2)" data-toggle="tab" aria-expanded="true">اطلاعات</a>
                    </li>
                    <li class="link" ng-class="(activeTab == 3)?'active':''">
                        <a ng-click="getTab(3)" data-toggle="tab" aria-expanded="false">
                            <small class="badge bg-red" style="margin-top: -3px;margin-right: 8px"
                              ng-show="curUser.Educations.length==0||curUser.Skills.length==0||!curUser.Description">ناقص</small>
                            اطلاعات تکمیلی
                        </a>
                    </li>
                    <li class="link" ng-class="(activeTab == 1)?'active':''">
                        <a ng-click="getTab(1)" data-toggle="tab" aria-expanded="false">

                            <small class="badge bg-green" style="margin-top: -3px;margin-right: 8px"
                                   ng-bind="curUser.ActiveSessions.length | pNumber"></small>
                            <span>اتصال ها</span>
                        </a>

                    </li>
                    <li class="link" ng-class="(activeTab == 0)?'active':''">
                        <a ng-click="getTab(0)" data-toggle="tab"
                    aria-expanded="false">تایم لاین</a>
                    </li>

                </ul>
                <div class="tab-content">
                    <div class="tab-pane" ng-class="(activeTab == 0)?'active':''" >
                        <!-- The timeline -->
                        <ul class="timeline timeline-inverse">
                            <!-- timeline time label -->
                            <li class="time-label" ng-repeat="item in timelineItems" ng-switch="item.EventType">
                                <span ng-class="getRandomColorClass(item.CID)"
                                      ng-switch-when="DayBP" style="font-weight: 400;">
                                  {{item.EventDate | jalaliDateSimple : 'jYY/jMM/jDD' | pNumber}}
                                </span>

                                <i class="fa  faa-vertical animated-hover" ng-class="getIconClass(item)"
                                   style="color: #fff;" ng-switch-default></i>

                                <div class="timeline-item" ng-switch-default>
                                    <span class="time persian-rtl">
                                        <i class="fa fa-clock-o"></i>
                                        {{item.EventDateTime | jalaliDate : 'jYYYY/jMM/jDD' | pNumber}}
                                    </span>
                                    <h3 class="timeline-header persian-rtl">
                                        <img  class="img-circle" ng-src="{{item.FullPath}}"
                                              style="width:27px" err-src="../images/Avatar.jpg">
                                        <a ui-sref="UserProfile({id:'{{item.EventCauseID}}'})">{{item.FullName}}</a>
                                        <span style="font-size: 12px">{{item.EventTypeFA}}</span>
                                    </h3>
                                    <div class="timeline-body" ng-if="item.HasQuestion=='1'">
                                        <b>{{item.Title}}</b>
                                        <br>
                                        <div style="margin-right: 5px">
                                            <small>
                                                {{item.QuestionText}}
                                            </small>
                                        </div>
                                    </div>
                                    <div class="timeline-footer text-left" ng-if="item.HasQuestion=='1'">
                                        <a class="btn btn-primary btn-xs"
                                           ui-sref="question({id:item.QuestionID})">مشاهده سوال</a>
                                    </div>
                                </div>

                                <i class="fa faa-shake animated-hover" ng-class="getIconClass(item)"
                                   style="color: #fff;width: 50px;height: 50px;right: 8px;
                                            font-size: 25px;padding: 10px;top: 52px;"
                                   ng-switch-when="SU"></i>

                                <div class="timeline-item" ng-switch-when="SU" style="margin-right: 70px">
                                    <div class="timeline-body row"
                                         style="height: 100px;" >
                                        <div class="col-xs-12 text-center">
                                            <img  class="img-circle" ng-src="{{user.Image}}" err-src="../images/Avatar.jpg"
                                                  style="width:50px;border: solid 3px #f1c40f;margin-bottom: 8px">
                                        </div>
                                        <div class="col-xs-12">
                                            <div class="text-center persian-rtl">
                                                <span>شما در تاریخ </span>
                                                <b
                                                ng-bind="item.User.SignupDate | jalaliDateSimple : 'HH:MM jYYYY/jMM/jDD' | pNumber"
                                                class="text-blue">

                                                </b>
                                                <span>ثبت نام کردید.</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </li>
                            <!-- /.timeline-label -->
                        </ul>

                        <div class="text-center">
                            <auto-paging page="1"
                                         page-size="25"
                                         ul-class="pagination pagination-sm no-margin"
                                         action-name="getUserTimeline"
                                         data-params="pagingParams"
                                         ng-control="timelinePagingController"
                                         only-get-result-when-update="true"
                                         items="timelineItems"
                                         total-items="question.bestAnsweredTotal">
                            </auto-paging>
                        </div>
                    </div><!-- /.tab-pane -->
                    <div class="tab-pane" ng-class="(activeTab == 1)?'active':''" style="margin: -10px;" >
                        <div class="table-responsive">
                            <table class="table table-hover border-bottom-table" style="margin-bottom: 0">
                                <tbody>
                                <tr>
                                    <th style="padding-right: 20px">سیستم عامل</th>
                                    <th>آی پی</th>
                                    <th>تاریخ اتصال</th>
                                    <th></th>
                                </tr>
                                <tr ng-repeat="us in curUser.ActiveSessions">
                                    <td class="english-font" style="padding-right: 20px">{{us.DeviceName}}</td>
                                    <td>{{us.IP |pNumber}}</td>
                                    <td class="text-muted">{{us.LoginDate | jalaliDate :'jYYYY/jMM/jDD' |pNumber}}</td>
                                    <td class="text-center">
                                        <div class="table-action-icons">
                                            <i confirm="آیا مطمئن هستید که میخواهید این اتصال را حذف کنید؟"
                                               class="fa fa-times palette-alizarin link hvr-grow-rotate"
                                               ng-click="removeSession(us.ID)"></i>

                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div><!-- /.tab-pane -->
                    <div class="tab-pane row" ng-class="(activeTab == 2)?'active':''" >
                        <form class="form-horizontal col-md-9 col-xs-12 pull-right" style="direction: rtl">
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <input type="text" ng-model="curUser.FullName" class="form-control" id="inputName"
                                           placeholder="نام کامل ... ">
                                </div>
                                <label for="inputName" class="col-sm-3 control-label">نام کامل</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <input type="email" ng-model="curUser.Email" class="form-control" id="inputEmail" placeholder="ایمیل ... ">
                                </div>
                                <label for="inputEmail" class="col-sm-3 control-label">ایمیل</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <input type="text" ng-model="curUser.Username" ng-disabled="true"
                                           class="form-control"
                                           id="inputPhone"
                                           placeholder="نام کاربری ...">
                                </div>
                                <label for="inputPhone" class="col-sm-3 control-label">نام کاربری</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <input type="text" ng-model="curUser.Tel" class="form-control" id="inputTel"
                                           placeholder="شماره تلفن ثابت ... ">
                                </div>
                                <label for="inputTel" class="col-sm-3 control-label">شماره تلفن ثابت</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <input type="text" ng-model="curUser.PhoneNumber" class="form-control"
                                           id="inputPhone1"
                                           placeholder="شماره تلفن همراه ... ">
                                </div>
                                <label for="inputPhone1" class="col-sm-3 control-label">موبایل</label>
                            </div>
                            <hr/>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <input type="password" ng-model="curUser.OldPassword" class="form-control"
                                           id="pass_old"
                                           placeholder="رمز فعلی ...">
                                </div>
                                <label for="pass_old" class="col-sm-3 control-label">رمز فعلی</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <input type="password" ng-model="curUser.Password" class="form-control"
                                           id="pass" ng-change="passwordChanged()" ng-model-options="{debounce:100}"
                                           placeholder="رمز جدید ...">
                                </div>
                                <label for="pass" class="col-sm-3 control-label">رمز جدید</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9" ng-class="(isEqualWithVerify)?'':'has-error'">
                                    <input type="password" ng-model="curUser.VerifyPassword" class="form-control"
                                           id="passVerify" ng-change="passwordChanged()" ng-model-options="{debounce:100}"
                                           placeholder="تکرار رمز جدید ...">
                                </div>
                                <label for="passVerify" class="col-sm-3 control-label">تکرار رمز جدید</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <button type="submit" ng-click="saveUserInfo()" class="btn btn-success pull-left">بروزرسانی</button>
                                </div>
                            </div>
                        </form>
                    </div><!-- /.tab-pane -->
                    <div class="tab-pane row" ng-class="(activeTab == 3)?'active':''" >
                        <form class="form-horizontal col-md-9 col-xs-12 pull-right" style="direction: rtl">

                            <div class="form-group">
                                <div class="col-sm-9">
                                    <div class="form-group text-right">
                                        <div class="radio col-xs-12">
                                            <label>
                                                <input type="radio"
                                                       data-ng-model="curUser.GenderSelected"
                                                       data-ng-checked="curUser.Gender == 0" ng-value="false">
                                                آقا
                                            </label>
                                        </div>
                                        <div class="radio col-xs-12">
                                            <label>
                                                <input type="radio"
                                                       data-ng-model="curUser.GenderSelected"
                                                       data-ng-checked="curUser.Gender == 1" ng-value="true" >
                                                خانم
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <!--{{(curUser.GenderSelected==1)?'true':'false'}}-->
                                <label for="inputExperience" class="col-sm-3 control-label">جنسیت</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <textarea ng-model="curUser.Description" class="form-control" id="inputExperience"
                                              placeholder="درباره من ... " rows="5"></textarea>
                                </div>
                                <label for="inputExperience" class="col-sm-3 control-label">درباره من</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <ui-select multiple ng-model="curUser.Educations" theme="bootstrap" ng-disabled="ctrl.disabled" sortable="true" close-on-select="false" style="">
                                        <ui-select-match placeholder="انتخاب نشده ... ">{{$item.Name}}</ui-select-match>
                                        <ui-select-choices
                                                repeat="edu in curUser.AllEducations | propsFilter: {Name: $select.search}">
                                            <div compile="edu.Name | highlight: $select.search"></div>
                                        </ui-select-choices>
                                    </ui-select>
                                </div>
                                <label for="inputExperience" class="col-sm-3 control-label">رشته تحصیلی</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <ui-select multiple id="" ng-model="curUser.Skills" theme="bootstrap"
                                               ng-disabled="ctrl.disabled" sortable="true" close-on-select="false" style="">
                                        <ui-select-match placeholder="انتخاب نشده ... ">{{$item.Skill}}</ui-select-match>
                                        <ui-select-choices
                                                repeat="edu in curUser.AllSkills | propsFilter: {Skill: $select.search}">
                                            <div compile="edu.Skill | highlight: $select.search"></div>
                                        </ui-select-choices>
                                    </ui-select>
                                </div>
                                <label for="inputExperience" class="col-sm-3 control-label">مهارت ها</label>
                            </div>
                            <div class="form-group">
                                <!--<input class="col-sm-9 control-label" type="file" id="exampleInputFile">-->
                                <div class="col-sm-9">
                                <span class="btn btn-primary btn-file ">
                    انتخاب فایل  <input type="file" id="inputFile" ngf-select ng-model="avatarFile" name="file"
                                        accept="image/*" ngf-max-size="3000KB" required
                                        ngf-model-invalid="errorFile" ngf-multiple="false"
                                        ngf-change="onChangeAvatar($files, $file, $newFiles, $duplicateFiles, $invalidFiles, $event)">
                                </span>
                                </div>
                                <label class="col-sm-3 control-label" for="inputFile">تصویر پروفایل</label>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-9">
                                    <button type="submit" ng-click="saveUserAddintionalInfo()" class="btn btn-success pull-left">بروزرسانی
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div><!-- /.tab-pane -->
                </div><!-- /.tab-content -->
            </div>
        </div>
        <div class="col-md-3 col-xs-12">
            <!-- Profile Image -->
            <div class="box box-primary">
                <div class="box-body box-profile">
                    <img class="profile-user-img img-responsive img-circle" ng-src="{{user.Image}}"
                         err-src="../images/Avatar.jpg"
                         alt="User profile picture">
                    <h3 class="profile-username text-center">{{::curUser.FullName}}</h3>
                    <p class="text-muted text-center">{{curUser.Educations[0].Name}}</p>

                    <ul class="list-group list-group-unbordered" style="margin-bottom: -8px">
                        <li class="list-group-item">
                            <a class="">{{curUser.FollowersCount| pNumber}}</a> <b class="pull-right">دنبال کنندگان</b>
                        </li>
                        <li class="list-group-item">
                            <a class="">{{curUser.AnswersCount| pNumber}}</a> <b class="pull-right">جواب ها</b>
                        </li>
                        <li class="list-group-item" style="border-bottom: none">
                            <a class="">{{curUser.QuestionsCount| pNumber}}</a> <b class="pull-right">سوالات</b>
                        </li>
                    </ul>
                </div><!-- /.box-body -->
            </div><!-- /.box -->

            <!-- About Me Box -->
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">درباره من</h3>
                </div><!-- /.box-header -->
                <div class="box-body" style="direction: rtl;">
                    <strong><i class="fa fa-book margin-r-5"></i>  تحصیلات</strong>
                    <ul class="nav nav-pills red" style="padding-right: 0px;font-size: 11px;">
                        <li ng-repeat="s in curUser.Educations" class="active">
                            <a style="border-top: none;" class="label-{{randomColor(s.ID)}}">{{s.Name}}</a>
                        </li>
                    </ul>
                    <hr>


                    <strong><i class="fa fa-pencil margin-r-5"></i> مهارت ها</strong>
                    <ul class="nav nav-pills red" style="padding-right: 0px;font-size: 11px;">
                        <li ng-repeat="s in curUser.Skills" class="active">
                            <a style="border-top: none;" class="label-{{randomColor(s.ID)}}">{{s.Skill}}</a>
                        </li>
                    </ul>
                    <hr>

                    <strong><i class="fa fa-file-text-o margin-r-5"></i> درباره من</strong>
                    <p class="text-muted">{{curUser.Description}}</p>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>
</section>




